Ubuntu

dvb-t on asustek p7131 hybrid looks like poor quality signal

Reported by Alessio on 2009-10-08
38
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: linux-image-2.6.31-12-generic

I just installed the ubuntu 9.10 karmic koala and with the asustek p7131 hybrid watching the dvb-t seems the signal is corrupted or poor quality, also if the signal is perfect
the problem is present on both linux-image-2.6.31-11 and linux-image-2.6.31-12

on jaunty there's no problem with kernel up to 2.6.30, then I believe this is a regression on the 2.6.31 kernel

lspci:
01:07.0 Multimedia controller: Philips Semiconductors SAA7131/SAA7133/SAA7135 Video Broadcast Decoder (rev d1)
 Subsystem: ASUSTeK Computer Inc. Device 4876
 Flags: bus master, medium devsel, latency 32, IRQ 19
 Memory at e2000000 (32-bit, non-prefetchable) [size=2K]
 Capabilities: <access denied>
 Kernel driver in use: saa7134
 Kernel modules: saa7134

Giorgio Vazzana (mywing) wrote :

I can confirm this bug on Ubuntu 9.10 Karmic Koala i386. The Asus MyCinema P7131 Hybrid used to work fine (and still does) in hardy, so this sure is a regression.

Merrattic (merrattic) wrote :

I can also confirm this bug on Karmic 9.10.

Good signal, but pops and clicks on sound and degraded video with artifacts and "swirls". Also only gives sound to one speaker when webcam (USB) plugged in?

Works fine on Jaunty and has done since Hardy.

Merrattic (merrattic) wrote :
Download full text (4.3 KiB)

Here is some output "errors" from running the command

mplayer dvb://BBC1 (strongest signal)

[mpeg2video @ 0x1b9a780]mb incr damaged656 165/165 13% 16% 0.9% 0 0 20%
[mpeg2video @ 0x1b9a780]00 motion_type at 15 19
[mpeg2video @ 0x1b9a780]Warning MVs not available
[mpeg2video @ 0x1b9a780]concealing 102 DC, 102 AC, 102 MV errors
[mpeg2video @ 0x1b9a780]ac-tex damaged at 9 22/451 11% 16% 0.8% 0 0 21%
[mpeg2video @ 0x1b9a780]Warning MVs not available
[mpeg2video @ 0x1b9a780]concealing 136 DC, 136 AC, 136 MV errors
[mpeg2video @ 0x1b9a780]skipped MB in I frame at 16 17 17% 0.8% 0 0 21%
[mpeg2video @ 0x1b9a780]ac-tex damaged at 0 5
[mpeg2video @ 0x1b9a780]Warning MVs not available
[mpeg2video @ 0x1b9a780]concealing 102 DC, 102 AC, 102 MV errors
[mpeg2video @ 0x1b9a780]ac-tex damaged at 1 32/635 11% 17% 0.8% 0 0 22%
[mpeg2video @ 0x1b9a780]ac-tex damaged at 19 25
[mpeg2video @ 0x1b9a780]ac-tex damaged at 9 26
[mpeg2video @ 0x1b9a780]concealing 136 DC, 136 AC, 136 MV errors
[mpeg2video @ 0x1b9a780]00 motion_type at 1 45/645 11% 17% 0.8% 0 0 22%
[mpeg2video @ 0x1b9a780]00 motion_type at 20 20
[mpeg2video @ 0x1b9a780]concealing 102 DC, 102 AC, 102 MV errors
[mpeg2video @ 0x1b9a780]00 motion_type at 10 20718 11% 17% 0.8% 0 0 23%
[mpeg2video @ 0x1b9a780]00 motion_type at 6 12
[mpeg2video @ 0x1b9a780]concealing 238 DC, 238 AC, 238 MV errors
[mpeg2video @ 0x1b9a780]ac-tex damaged at 22 17795 11% 17% 0.8% 0 0 23%
[mpeg2video @ 0x1b9a780]ac-tex damaged at 24 24
[mpeg2video @ 0x1b9a780]concealing 68 DC, 68 AC, 68 MV errors
[mpeg2video @ 0x1b9a780]slice mismatch.838 810/810 11% 17% 0.8% 0 0 23%
[mpeg2video @ 0x1b9a780]slice mismatch
[mpeg2video @ 0x1b9a780]concealing 102 DC, 102 AC, 102 MV errors
[mpeg2video @ 0x1b9a780]00 motion_type at 28 14918 11% 17% 0.8% 0 0 19%
[mpeg2video @ 0x1b9a780]ac-tex damaged at 0 6
[mpeg2video @ 0x1b9a780]concealing 102 DC, 102 AC, 102 MV errors
[mpeg2video @ 0x1b9a780]ac-tex damaged at 17 18981 11% 16% 0.8% 0 0 14%
[mpeg2video @ 0x1b9a780]00 motion_type at 23 19
[mpeg2video @ 0x1b9a780]ac-tex damaged at 18 20
[mpeg2video @ 0x1b9a780]00 motion_type at 2 21
[mpeg2video @ 0x1b9a780]concealing 68 DC, 68 AC, 68 MV errors
[mpeg2video @ 0x1b9a780]concealing 26 DC, 26 AC, 26 MV errors 0.7% 0 0 12%
[mpeg2video @ 0x1b9a780]invalid mb type in P Frame at 1 716% 0.7% 0 0 14%
[mpeg2video @ 0x1b9a780]ac-tex damaged at 0 30
[mpeg2video @ 0x1b9a780]ac-tex damaged at 11 31
[mpeg2video @ 0x1b9a780]slice mismatch
[mpeg2video @ 0x1b9a780]ac-tex damaged at 11 33
[mpeg2video @ 0x1b9a780]concealing 68 DC, 68 AC, 68 MV errors
[mpeg2video @ 0x1b9a780]ac-tex damaged at 25 80/1090 11% 16% 0.7% 0 0 14%
[mpeg2video @ 0x1b9a780]00 motion_type at 5 18
[mpeg2video @ 0x1b9a780]concealing 68 DC, 68 AC, 68 MV errors
[mpeg2video @ 0x1b9a780]ac-tex damaged at 5 252/1152 11% 16% 0.7% 0 0 15%
[mpeg2video @ 0x1b9a780]00 motion_type at 6 10
[mpeg2video @ 0x1b9a780]concealing 68 DC, 68 AC, 68 MV errors
[mpeg2video @ 0x1b9a780]00 motion_type at 9 144/1184 11% 16% 0.7% 0 0 14%
[mpeg2video @ 0x1b9a780]00 motion_type at 16 20
[mpeg2video @ 0x1b9a780]concealing 68 DC, 68 AC, 68 MV errors
[mpeg2video @ 0x1b9a780]00 motion_type at 23 14/1292 11% 16%...

Read more...

tuukka (tlaurikainen) wrote :
Download full text (4.2 KiB)

Hi,

Same problem here, on Kaffeine the channel scan shows signal and SNR but doesn't find any channels. The card is Pinnacle PCTV 310i, and has been working fine till Karmic. Below's the output of dmesg and lspci for if it's of any help:

(sudo lspci -v, just the controller data):
01:07.0 Multimedia controller: Philips Semiconductors SAA7131/SAA7133/SAA7135 Video Broadcast Decoder (rev d0)
 Subsystem: Pinnacle Systems Inc. Device 002f
 Flags: bus master, medium devsel, latency 32, IRQ 19
 Memory at fdeff000 (32-bit, non-prefetchable) [size=2K]
 Capabilities: [40] Power Management version 2
 Kernel driver in use: saa7134
 Kernel modules: saa7134

(dmesg, only relevant parts):
[ 48.537930] Linux video capture interface: v2.00
[ 48.587494] saa7130/34: v4l2 driver version 0.2.15 loaded
[ 48.601644] saa7134 0000:01:07.0: PCI INT A -> Link[APC4] -> GSI 19 (level, low) -> IRQ 19
[ 48.601650] saa7133[0]: found at 0000:01:07.0, rev: 208, irq: 19, latency: 32, mmio: 0xfdeff000
[ 48.601656] saa7133[0]: subsystem: 11bd:002f, board: Pinnacle PCTV 310i [card=101,autodetected]
[ 48.601671] saa7133[0]: board init: gpio is 604c000
[ 48.601678] IRQ 19/saa7133[0]: IRQF_DISABLED is not guaranteed on shared IRQs
[ 48.780029] saa7133[0]: i2c eeprom 00: bd 11 2f 00 54 20 1c 00 43 43 a9 1c 55 d2 b2 92
[ 48.780038] saa7133[0]: i2c eeprom 10: ff e0 60 06 ff 20 ff ff 00 30 8d 2c 01 18 ff ff
[ 48.780045] saa7133[0]: i2c eeprom 20: 01 2c 01 03 03 01 04 31 98 ff 00 a8 ff 21 00 c2
[ 48.780052] saa7133[0]: i2c eeprom 30: 96 10 03 32 15 20 ff ff 0c 22 17 77 03 17 ef 50
[ 48.780059] saa7133[0]: i2c eeprom 40: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780066] saa7133[0]: i2c eeprom 50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780073] saa7133[0]: i2c eeprom 60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780080] saa7133[0]: i2c eeprom 70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780087] saa7133[0]: i2c eeprom 80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780094] saa7133[0]: i2c eeprom 90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780100] saa7133[0]: i2c eeprom a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780107] saa7133[0]: i2c eeprom b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780114] saa7133[0]: i2c eeprom c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780121] saa7133[0]: i2c eeprom d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780128] saa7133[0]: i2c eeprom e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780135] saa7133[0]: i2c eeprom f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[ 48.780144] i2c-adapter i2c-2: Invalid 7-bit address 0x7a
[ 48.900130] tuner 2-004b: chip found @ 0x96 (saa7133[0])
[ 49.070029] tda829x 2-004b: setting tuner address to 61
[ 49.200046] tda829x 2-004b: type set to tda8290+75a
[ 54.842894] input: i2c IR (Pinnacle PCTV) as /devices/virtual/input/input5
[ 54.842931] ir-kbd-i2c: i2c IR (Pinnacle PCTV) detected at i2c-2/2-0047/ir0 [saa7133[0]]
[ 54.970085] saa7133[0]: registered device video0 [v4l2]
[ 54.970108] saa7133[0]: registered device vbi0
[ 54.970130] saa71...

Read more...

tuukka (tlaurikainen) wrote :

Hi again,

Placing the firmware image manually to /usr/firmware (as described here: http://ubuntuforums.org/archive/index.php/t-241431.html) solved the firmware load issue for me. Now I can correctly scan for channels with the scan command (kaffeine doesn't work, it displays the DVB device but says "Device is not connected" - but this I suppose is Kaffeine issue), and can watch the channels with mplayer.

Regards,

Tuukka

Merrattic (merrattic) wrote :

Good news tuukka. What is playback like in mplayer, any clicks and pops on the sound and artifacts on the video?

Alessio (alessio) wrote :

tuukka your problem was simple that you haven't the firmware file installed
in karmic the firmware files was splitted into 2 packages: linux-firmware installed by default with free firmwares and linux-firmware-nonfree not installed by default with non-free firmwares

to can watch dvb with many tv-cards we must install the linux-firmware-nonfree package or try to get the firmware and install like you read in the ubuntuforums

Karel Marik (kaja-marik) wrote :

Hi, I had problems with setup of mythtv on AverTV Digi Super 007 DVB-T card

lspci: Multimedia controller: Philips Semiconductors SAA7131/SAA7133/SAA7135 Video Broadcast Decoder (rev d1).

I described my issue here ... http://ubuntuforums.org/showthread.php?t=1316032

I was really disappointed it was not working out-of-the-box as with my previous DVB-T tuner ASUS MY CINEMA U3100 mini in Intrepid and Jaunty. Finally, I installed firmware dvb-fe-tda10046.fw manually into /lib/firmware and it seems now it is working. I had also problems with channel scanning on mythtv and had to increase timeout for scanning in order to get all programs. Hope this information may be useful you.

Giorgio Vazzana (mywing) wrote :
Download full text (7.0 KiB)

Hi Karel, thanks for your help but unfortunately I don't think it's a firmware problem. I had installed the firmware to /lib/firmware, and from dmesg it seems the firmware is loading ok:

[ 16.212006] tda1004x: timeout waiting for DSP ready
[ 16.252007] tda1004x: found firmware revision 0 -- invalid
[ 16.252011] tda1004x: trying to boot from eeprom
[ 18.576006] tda1004x: timeout waiting for DSP ready
[ 18.616014] tda1004x: found firmware revision 0 -- invalid
[ 18.616019] tda1004x: waiting for firmware upload...
[ 18.616024] saa7134 0000:02:07.0: firmware: requesting dvb-fe-tda10046.fw
[ 32.072008] tda1004x: found firmware revision 20 -- ok

I can scan without problems as you can see from the attached file, I can even tune fine:

holden@holden-desktop:~$ tzap "RaiUno"
using '/dev/dvb/adapter0/frontend0' and '/dev/dvb/adapter0/demux0'
reading channels from file '/home/holden/.tzap/channels.conf'
tuning to 482000000 Hz
video pid 0x0200, audio pid 0x028a
status 00 | signal 0000 | snr 9393 | ber 0001fffe | unc 00000000 |
status 1f | signal b8b8 | snr fefe | ber 00000006 | unc ffffffff | FE_HAS_LOCK
status 1f | signal b8b8 | snr ffff | ber 00000002 | unc 00000000 | FE_HAS_LOCK
status 1f | signal b8b8 | snr ffff | ber 00000002 | unc 00000000 | FE_HAS_LOCK
status 1f | signal b8b8 | snr ffff | ber 00000004 | unc 00000000 | FE_HAS_LOCK

but when I watch a program with mplayer I still get lots of errors:

holden@holden-desktop:~$ mplayer dvb://RaiUno -cache 2000 -cache-min 20
MPlayer SVN-r29237-4.4.1 (C) 2000-2009 MPlayer Team
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing dvb://RaiUno.
dvb_tune Freq: 482000000
Cache fill: 18.80% (385024 bytes)
TS file format detected.
VIDEO MPEG2(pid=512) AUDIO MPA(pid=650) NO SUBS (yet)! PROGRAM N. 0
VIDEO: MPEG2 720x576 (aspect 2) 25.000 fps 10000.0 kbps (1250.0 kbyte/s)
open: No such file or directory
[MGA] Couldn't open: /dev/mga_vid
open: No such file or directory
[MGA] Couldn't open: /dev/mga_vid
[VO_TDFXFB] Can't open /dev/fb0: No such file or directory.
[VO_3DFX] Unable to open /dev/3dfx.
==========================================================================
Opening video decoder: [mpegpes] MPEG 1/2 Video passthrough
VDec: vo config request - 720 x 576 (preferred colorspace: Mpeg PES)
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
The selected video_out device is incompatible with this codec.
Try appending the scale filter to your filter list,
e.g. -vf spp,scale instead of -vf spp.
VDecoder init failed :(
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
Unsupported PixelFormat -1
Selected video codec: [ffmpeg2] vfm: ffmpeg (FFmpeg MPEG-2)
==========================================================================
==========================================================================
Opening audio decoder: [mp3lib] MPEG layer-2, layer-3
AUDIO: 48000 Hz, 2 ch, s16le, 192.0 kbit/12.50% (ratio: 24000->192000)
Selected audio codec: [mp3] afm: mp3lib (mp3lib MPEG layer-2, layer-3)
===============================...

Read more...

Giorgio Vazzana (mywing) wrote :
Giorgio Vazzana (mywing) wrote :
Merrattic (merrattic) wrote :

Ah good, Giorgio, I was beginning to think I was the only one with a problem like this.

I have tested dvb transmissions with VLC as well (in case it was an mplayer thing) and get the same video artifacts and audio pops and clicks.

Giorgio Vazzana (mywing) wrote :

No Jose, sadly you're not alone :(

At first I thought it was an mplayer problem, so I compiled it from svn but I get the same behaviour. I googled around, and it seems this problem is present in other distros too and it only affects kernel 2.6.31 . Let's hope it'll get fixed as soon as possible. Apart from this, I'm really loving Karmic!

Karel Marik (kaja-marik) wrote :

Well, I have to take back my too optimistic comment. It worked perfect - channel tunning, watching, recording, scheduled recording was working fine both in myth and vlc. However, after (several?) restart i got 'tda1004x: timeout waiting for DSP ready' messages and tv-card is not working at all. I really don't know why.

I believe it can be firmware problem as I am getting ...

[ 47.428013] tda1004x: timeout waiting for DSP ready
[ 47.468016] tda1004x: found firmware revision 0 -- invalid
[ 47.468026] tda1004x: firmware upload failed

But I don't know why. Firmware is installed correctly in /lib/firmware/dvb-fe-tda10046.fw

Karel Marik (kaja-marik) wrote :
Karel Marik (kaja-marik) wrote :

I removed completely mythtv, restarted and ... BINGO - card is working. At least it is working in vlc.

But indeed, video is jerky (frequency 3-5x per minute), so I comfirm this bug.

I am getting lot of following messages during show ..
[CODE]
libdvbpsi error (PSI decoder): TS discontinuity (received 8, expected 13) for PID 18
libdvbpsi error (EIT decoder): 'version_number' differs whereas no discontinuity has occurred
libdvbpsi error (PSI decoder): TS discontinuity (received 14, expected 6) for PID 18
libdvbpsi error (PSI decoder): TS discontinuity (received 6, expected 15) for PID 18
libdvbpsi error (EIT decoder): 'version_number' differs whereas no discontinuity has occurred
libdvbpsi error (EIT decoder): 'version_number' differs whereas no discontinuity has occurred
libdvbpsi error (PSI decoder): TS discontinuity (received 8, expected 10) for PID 18
libdvbpsi error (PSI decoder): TS discontinuity (received 11, expected 9) for PID 18
libdvbpsi error (PSI decoder): TS duplicate (received 6, expected 7) for PID 18
libdvbpsi error (PSI decoder): TS discontinuity (received 0, expected 12) for PID 18
libdvbpsi error (PSI decoder): TS discontinuity (received 12, expected 1) for PID 18
libdvbpsi error (PSI decoder): TS discontinuity (received 9, expected 14) for PID 18
libdvbpsi error (PSI decoder): TS discontinuity (received 15, expected 10) for PID 18
libdvbpsi error (PSI decoder): TS discontinuity (received 5, expected 12) for PID 18
libdvbpsi error (PSI decoder): TS discontinuity (received 12, expected 6) for PID 18
[/CODE]

Merrattic (merrattic) on 2009-11-11
Changed in linux (Ubuntu):
status: New → Confirmed
Merrattic (merrattic) wrote :

Anyone on the bug fixing team, anychance this is likely to get resolved before, or in, Lucid Lynx?

Vink (vink) wrote :

Same problem here on MythTV:

- pops and clicks on sound
- degraded video with artifacts and "swirls"

The signal seems to be good... The card is Pinnacle PCTV 310i. On 2.6.28, everything was fine... Problem appears when upgrading to karmic.

I've also tried 2.6.32-9 ... same issue

Vink (vink) wrote :

I've downgraded to 2.6.30-020630-generic on my karmic:

- no more pops and clicks
- video seems fine now!

For info, I've found this kernel here:
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30/

You will have to create the file "/etc/udev/rules.d/50-udev.rules" according to the procedure described over here:
> http://ubuntuforums.org/archive/index.php/t-1327337.html

It seems this issue is due to a regression between 2.6.30 and 2.6.31

Merrattic (merrattic) wrote :

Nice find Vink :)

I may have an alternative solution. One of two things:

EITHER:
I installed linux dvb tv from source.

I grabbed v4l-dvb-9defbd461e5f.tar.gz from linuxtv.org (http://linuxtv.org/hg/v4l-dvb/archive/tip.tar.gz)
and did the .configure, make and sudo make install on it. I went a bit over the top and chose to install everything.
(The version may be different now due to updates by developers)

This didn't work immediately, nor on reboot, in fact it killed my dvb completely.
But I revisited after a cold boot and I now get a perfect picture with no errors.

OR:
I did run another set of updates so this may also have had the same effect.

So not sure which one fixed it, but it is fixed, with no need to regress the kernel. (That was my next plan!)

Giorgio Vazzana (mywing) wrote :

Good to know Jose :)

I tried to compile v4l-dvb from mercurial some time ago but it gave me some errors and refused to compile. I'll try again in the next days and maybe I'll only compile what I really need, instead of all modules.

Nonetheless, it would be nice if they solved the problem, not everyone is able to compile v4l or install a new kernel.

Merrattic (merrattic) wrote :

Sorry people, its been a long day, ..... but my solution was something else.

In preparation for downgrading the kernel I added the custom rules file, as indicated by Vink. This was all that was needed to fix the card and TV playback on my system. I attach it in a zip. It needs to go here -> /etc/udev/rules.d/ (unzipped, of course)

Vink (vink) wrote :

Hi again,

As Ubuntu kernel 2.6.30-10 is the last working kernel for me, i dig in the source code:

- It seems regressions comes from this patch:
> http://patchwork.kernel.org/patch/23345/

So, I've attached a patch for 2.6.31-17.54 which disable some of these changes.

Vink (vink) wrote :
Alexey Osipov (lion-simba) wrote :

Hi.

I'm the author of http://patchwork.kernel.org/patch/23345/
Accept my apologize for any inconvenience.

That patch fix "V4L2 streaming IO" type of capture for hardware MPEG coded stream from saa7134.

I assume, that the regression is caused by changes in function saa7134_set_dmabits(struct saa7134_dev *dev). So I've made up a patch, which revert changes in saa7134_set_dmabits() but still not broke streaming IO (Vink's patch broke it).

Can anyone test my patch? Vink?

Vink (vink) wrote :

Hi Alexey,

Your patch seems fine for me:

- No more error messages on my mythfrontend.log

I will be able to confirm this when I will be back home.

For info, I've compiled a kernel package with this fix based on Ubuntu 2.6.31-17.54. I can post this package if someone else want to test the fix.

Merrattic (merrattic) wrote :

Hi Alexey / Vink

This all looks very promising.

How to apply patch please?

(or please post links to Alexey's patched kernel)

Thanks

Jose

Vink (vink) wrote :

Hi Alexey,

Ok, I confirm that the issue is gone on my Pinnacle 310i Card with Alexey's patch.

Jose,

You can test my custom package (using Alexey's patch), but it is unsafe to trust package from "unknown source", because it's not a good security practice:

> http://www.lx-soft.com/ion/Ubuntu-2.6.31-17.55/linux-image-2.6.31-17-generic_2.6.31-17.54_i386.deb
> http://www.lx-soft.com/ion/Ubuntu-2.6.31-17.55/linux-headers-2.6.31-17-generic_2.6.31-17.54_i386.deb
> http://www.lx-soft.com/ion/Ubuntu-2.6.31-17.55/linux-headers-2.6.31-17_2.6.31-17.54_all.deb

Regards,

Vink

Merrattic (merrattic) wrote :

Thanks Vink

I'll take the risk :)

Merrattic (merrattic) wrote :

Just to confirm, issue with dvb now fixed thanks to Alexey and Vink (tested using Vink's custom kernel as above.

Question:

Will this patch be included in any further kernel upgrades, or do I have to stay with this kernel version?

Regards

Jose

Alessio (alessio) wrote :

with Alexey's patch and Vink's packages the issue is fixed for me too

after I installed Vink's packages the only problem I have is that the system wants to reinstall the kernel packages from official repository... I think this is caused by the fact both Vink's and officials packages have same name and same version number

anyway thanks to Alexey and Vink

Merrattic (merrattic) wrote :

+1 Alessio regarding official kernel package wanting to be re-installed

Dmitry Belimov (d-belimov) wrote :

Hi

I'll send patch from Alexey Osipov to video4linux project as all our patches.
It will be commited to main tree of kernel after some time.

With my best regards, Dmitry.

Dmitry Belimov (d-belimov) wrote :

Hi

The patch submitted to video4linux project. Current status of patch you can find here:

http://patchwork.kernel.org/patch/71749/

With my best regards, Dmitry.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Dmitry Belimov (d-belimov) wrote :

The patch from Alexey Osipov accepted to main tree of the video4linux project with priority high.

madbiologist (me-again) wrote :

This patch is included in Linux kernel 2.6.33-rc5.

Changed in linux (Ubuntu):
status: Triaged → Fix Committed
Giorgio Vazzana (mywing) wrote :

Is there any chance to see this fixed in Karmic (without people having to patch and compile their own kernel)?

Alessio (alessio) wrote :

the problem still not fixed in lucid...

Giorgio Vazzana (mywing) on 2010-04-14
tags: added: karmic lucid
Giorgio Vazzana (mywing) wrote :

DVB-T cards based on the saa7134 chip are very common and cheap, and there is already a fix for this bug, so please make sure this get fixed before lucid is released. Thank you.

madbiologist (me-again) wrote :

@Giorgio - There is a PPA of kernel 2.6.33 available at http://kernel.ubuntu.com/~kernel-ppa/mainline/

Somewhat simpler than compiling the kernel yourself.

I could not find any evidence that the upstream kernel developers are reviewing this for 2.6.32 as sometimes happens for some patches.

Giorgio Vazzana (mywing) wrote :

@madbiologist - Thank you for your comment. I know I can get a new kernel from that PPA, or compile the latest v4l-dvb device drivers from http://linuxtv.org/hg/v4l-dvb/ (and in fact, I've done that to fix this problem), but sadly many people I know don't have the skills required to the the same. That is why I'd like to see this particular bug fixed in the standard kernel shipped with Ubuntu.

But I see that this bug is not even assigned to anyone, so I'm not holding my breath :(

tags: added: patch
Yann (tatrefthekiller) wrote :

Hi,

I had the same problem with my card (E506R), updating to a newer kernel fixed the bug.
Does the fix will be added to the standard Ubuntu kernel ?

Giorgio Vazzana (mywing) wrote :

It seems like the patch from Alexey Osipov will be backported upstream to 2.6.32:

http://article.gmane.org/gmane.linux.drivers.video-input-infrastructure/23604

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.